> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/all-documents.md).

# All Documents

## POST /api/Public/GetAllDocuments/GetAllDocumentsFromStore

> All documents from store

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetAllDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.GetAllDocumentsRequestDto":{"type":"object","properties":{"pageSize":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"searchText":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"fromDate":{"type":"string","format":"date-time","nullable":true},"toDate":{"type":"string","format":"date-time","nullable":true},"sortOrder":{"pattern":"^(asc|desc)$","type":"string","nullable":true},"sortBy":{"type":"string","nullable":true},"categoryId":{"type":"integer","format":"int32","nullable":true},"includeAttachments":{"type":"boolean","nullable":true},"deviceInfo":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"osAndBrowser":{"type":"string","nullable":true},"requestSource":{"type":"string","nullable":true},"selectedYear":{"type":"string","nullable":true},"categoryName":{"type":"string","nullable":true},"initiateBy":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto":{"type":"object","properties":{"documents":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentItemDto"},"nullable":true},"totalRecords":{"type":"integer","format":"int32"},"currentPage":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"},"hasNextPage":{"type":"boolean"},"hasPreviousPage":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentItemDto":{"type":"object","properties":{"workFlowId":{"type":"integer","format":"int32"},"categoryName":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"uploadTime":{"type":"string","format":"date-time"},"uploadTimeFormatted":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"statusId":{"type":"integer","format":"int32"},"documentNumber":{"type":"string","nullable":true},"originatorId":{"type":"integer","format":"int32"},"originatorName":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"workflowType":{"type":"integer","format":"int32"},"customStatus":{"type":"string","nullable":true},"isAttachment":{"type":"boolean"},"noOfDocsCount":{"type":"integer","format":"int32"},"lastActionDate":{"type":"string","format":"date-time","nullable":true},"lastActionBy":{"type":"string","nullable":true},"canView":{"type":"boolean"},"canEdit":{"type":"boolean"},"canDelete":{"type":"boolean"},"canShare":{"type":"boolean"},"canRecall":{"type":"boolean"},"commentCount":{"type":"integer","format":"int32"},"actionBy":{"type":"string","nullable":true},"actionDate":{"nullable":true},"envelopeExpiryDate":{"type":"string","nullable":true},"envelopeExpiry":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/GetAllDocuments/GetAllDocumentsFromStore":{"post":{"tags":["GetAllDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.GetAllDocumentsRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.DocumentListResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"All documents from store","operationId":"post_GetAllDocuments_GetAllDocumentsFromStore"}}}}
```
